Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1024845

Summary: rpmlint: Use Python 3 instead of Python 2
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: rpmlintAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: a.badger, manuel.wolfshant, redhat-bugzilla, tcallawa, tmz, twoerner, ville.skytta
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-10 16:02:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1024796    
Attachments:
Description Flags
Use python3 for F-23+ none

Description Miro Hrončok 2013-10-30 13:52:38 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Comment 1 Miro Hrončok 2013-10-30 13:53:49 UTC
Note that I can work on patches that would introduce support for Python 3 (while keep it working with Python 2.6 and 2.7) while doing bz1019204

Comment 2 Ville Skyttä 2013-10-31 14:23:34 UTC
If you work on python 3 stuff, be sure to work on the latest upstream git code, it has some python 3 tweaks committed after the 1.5 release already.

Note that currently rpmlint is said to require python 2.x where x >= 4. If necessary for sanity while doing the 3.x work, dropping support for < 2.6 would be fine in my opinion.

I'd say this stuff and #1019204 would be better tracked upstream than here, not that people involved would be any different but...

Comment 3 Miro Hrončok 2013-10-31 16:17:48 UTC
(In reply to Ville Skyttä from comment #2)
> I'd say this stuff and #1019204 would be better tracked upstream than here,
> not that people involved would be any different but...

Agreed, but has no idea where that is. On sourceforge, I cannot file a new bug, as I'm not the member of the project.

Comment 4 Ville Skyttä 2013-10-31 19:54:04 UTC
(In reply to Miro Hrončok from comment #3)
> On sourceforge,

That's where it is.

> I cannot file a new bug, as I'm not the member of the project.

Oh, I wonder why they have such a silly default. Maybe it works now?

Comment 5 Jaroslav Reznik 2015-03-03 15:10:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Ville Skyttä 2015-07-08 13:25:26 UTC
Created attachment 1049874 [details]
Use python3 for F-23+

The next upstream rpmlint release (>= 1.7) will ship with Python 3 support. Here's a patch that builds a package using Python 3 on F-23+ for future reference.

Comment 7 Tom "spot" Callaway 2015-07-10 16:02:39 UTC
rpmlint-1.7-1.fc23 is built with python3 support in rawhide.